Bug 246515 - net/freeswitch: Build Fails during patch (building under Poudriere)
Summary: net/freeswitch: Build Fails during patch (building under Poudriere)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-17 01:24 UTC by rnoll.bsd
Modified: 2020-05-24 08:13 UTC (History)
1 user (show)

See Also:
pi: maintainer-feedback+


Attachments
Reject file when patching modules.conf (6.12 KB, text/plain)
2020-05-17 01:24 UTC, rnoll.bsd
no flags Details
Manually edited modules.conf file (3.79 KB, text/plain)
2020-05-23 03:39 UTC, rnoll.bsd
no flags Details
patch (12.22 KB, patch)
2020-05-23 19:18 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rnoll.bsd 2020-05-17 01:24:11 UTC
Created attachment 214571 [details]
Reject file when patching modules.conf

When building FreeSWITCH 1.10.2, the build fails at the patch stage. Ports tree date is Thu May 14 01:37:55 UTC 2020.

Apparently the patch fails when applying the extrapatch-modules.conf to modules.conf. Below is the Poudriere log and attached is the modules.conf.rej file.

=>> Building net/freeswitch
build started at Sat May 16 08:54:57 UTC 2020
port directory: /usr/ports/net/freeswitch
package name: freeswitch-1.10.2
building for: FreeBSD freebsd2.rpn.local 12.1-RELEASE-p3 FreeBSD 12.1-RELEASE-p3 r359497 GENERIC  amd64
maintained by: pi@FreeBSD.org
Makefile ident:      $FreeBSD: head/net/freeswitch/Makefile 533788 2020-05-03 15:52:19Z pi $
Poudriere version: 3.3.3
Host OSVERSION: 1201000
Jail OSVERSION: 1201000
Job Id: 02

---Begin Environment---
SHELL=/bin/csh
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.3.3
MASTERMNT=/usr/local/poudriere/data/.m/freebsd_x64-HEAD/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=screen
GID=0
UID=0
PWD=/usr/local/poudriere/data/.m/freebsd_x64-HEAD/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=freebsd_x64-HEAD
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/freebsd_x64-HEAD/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for freeswitch-1.10.2:
     ALL_MODULES=on: Build all modules
     X11=off: graphics/ImageMagick[-nox11] dependency
     EXAMPLES=on: Build and/or install examples
     PGSQL=on: PostgreSQL database support
====> Options available for the multi BITRATE: you have to choose at least one of them
     8K=on: 8kHz Audio Files
     16K=on: 16kHz Audio Files
     32K=on: 32kHz Audio Files
     48K=on: 48kHz Audio Files
====> Options available for the multi LANGUAGE: you have to choose at least one of them
     CHINESE_HK=off: Chinese Traditional Language Sounds
     CHINESE_SIM=off: Chinese Simplified Language Sounds
     BRAZILIAN=off: Brazilian Portuguese Language Sounds
     ENGLISH=on: US English Language Sounds
     ENGLISH_CA=off: Canadian English Language Sounds
     FRENCH_CA=off: French Canadian Language Sounds
     RUSSIAN=off: Russian Language Sounds
     SWEDISH=off: Swedish Language Sounds
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
pi@FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--
--with-pkgconfigdir=/usr/local/libdata/pkgconfig  --enable-zrtp --enable-core-pgsql-support --x-libraries=/usr/local/lib --x-includes=/usr/local/include --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake ac_cv_path_PERL=/usr/local/bin/perl ac_cv_path_PERL_PATH=/usr/local/bin/perl  PERL_USE_UNSAFE_INC=1 PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/net/freeswitch/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/net/freeswitch/work  HOME=/wrkdirs/usr/ports/net/freeswitch/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/net/freeswitch/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh CMAKE_PREFIX_PATH="/usr/local" CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
LUA_MODLIBDIR=/usr/local/lib/lua/5.2  LUA_MODSHAREDIR=/usr/local/share/lua/5.2  LUA_MODDOCSDIR=/usr/local/share/doc/lua52  LUA_INCDIR=/usr/local/include/lua52  LUA_LIBDIR=/usr/local/lib  LUA_VER=5.2  LUA_VER_STR=52 PERL_USE_UNSAFE_INC=1 OPENSSLBASE=/usr/local OPENSSLDIR=/usr/local/openssl OPENSSLINC=/usr/local/include OPENSSLLIB=/usr/local/lib OPENSSLRPATH=/usr/local/lib XDG_DATA_HOME=/wrkdirs/usr/ports/net/freeswitch/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/net/freeswitch/work  HOME=/wrkdirs/usr/ports/net/freeswitch/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/net/freeswitch/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -Wno-error -DLIBICONV_PLUG -fstack-protector-strong -DLDAP_DEPRECATED -isystem /usr/local/include -fno-strict-aliasing "  CPP="cpp" CPPFLAGS="-DLIBICONV_PLUG -I/usr/local/include -isystem /usr/local/include"  LDFLAGS=" -Wl,-rpath,/usr/local/lib -L/usr/local/lib -fstack-protector-strong " LIBS="-L/usr/local/lib"  CXX="c++" CXXFLAGS="-O2 -pipe -Wno-error -DLIBICONV_PLUG -fstack-protector-strong -DLDAP_DEPRECATED -isystem /usr/local/include -fno-strict-aliasing  -DLIBICONV_PLUG -isystem /usr/local/include "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTEXAMPLES="" 16K="" NO_16K="@comment " 32K="" NO_32K="@comment " 48K="" NO_48K="@comment " 8K="" NO_8K="@comment " ALL_MODULES="" NO_ALL_MODULES="@comment " BRAZILIAN="@comment " NO_BRAZILIAN="" CHINESE_HK="@comment " NO_CHINESE_HK="" CHINESE_SIM="@comment " NO_CHINESE_SIM="" ENGLISH="" NO_ENGLISH="@comment " ENGLISH_CA="@comment " NO_ENGLISH_CA="" EXAMPLES="" NO_EXAMPLES="@comment " FRENCH_CA="@comment " NO_FRENCH_CA="" PGSQL="" NO_PGSQL="@comment " RUSSIAN="@comment " NO_RUSSIAN="" SWEDISH="@comment " NO_SWEDISH="" X11="@comment " NO_X11="" LUA_MODLIBDIR=lib/lua/5.2  LUA_MODSHAREDIR=share/lua/5.2  LUA_MODDOCSDIR=share/doc/lua52  LUA_INCDIR=include/lua52  LUA_LIBDIR=lib  LUA_VER=5.2  LUA_VER_STR=52 OSREL=12.1 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib PERL_VERSION=5.30.2  PERL_VER=5.30  PERL5_MAN1=lib/perl5/site_perl/man/man1  PERL5_MAN3=lib/perl5/site_perl/man/man3  SITE_PERL=lib/perl5/site_perl  SITE_ARCH=lib/perl5/site_perl/mach/5.30 DOCSDIR="share/doc/freeswitch"  EXAMPLESDIR="share/examples/freeswitch"  DATADIR="share/freeswitch"  WWWDIR="www/freeswitch"  ETCDIR="etc/freeswitch"
--End PLIST_SUB--

--SUB_LIST--
 16K="" NO_16K="@comment " 32K="" NO_32K="@comment " 48K="" NO_48K="@comment " 8K="" NO_8K="@comment " ALL_MODULES="" NO_ALL_MODULES="@comment " BRAZILIAN="@comment " NO_BRAZILIAN="" CHINESE_HK="@comment " NO_CHINESE_HK="" CHINESE_SIM="@comment " NO_CHINESE_SIM="" ENGLISH="" NO_ENGLISH="@comment " ENGLISH_CA="@comment " NO_ENGLISH_CA="" EXAMPLES="" NO_EXAMPLES="@comment " FRENCH_CA="@comment " NO_FRENCH_CA="" PGSQL="" NO_PGSQL="@comment " RUSSIAN="@comment " NO_RUSSIAN="" SWEDISH="@comment " NO_SWEDISH="" X11="@comment " NO_X11="" PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/freeswitch DOCSDIR=/usr/local/share/doc/freeswitch EXAMPLESDIR=/usr/local/share/examples/freeswitch  WWWDIR=/usr/local/www/freeswitch ETCDIR=/usr/local/etc/freeswitch
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/freebsd_x64-make.conf ####
DEFAULT_VERSIONS+= ssl=openssl
OPTIONS_UNSET+= GSSAPI_BASE
OPTIONS_SET+=   GSSAPI_MIT
LICENSES_ACCEPTED+=NONE
LICENSES_ACCEPTED+=PDFlib
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1) Target: x86_64-unknown-freebsd12.1 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1) Target: x86_64-unknown-freebsd12.1 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1) Target: x86_64-unknown-freebsd12.1 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=amd64
OPSYS=FreeBSD
_OSRELEASE=12.1-RELEASE-p3
OSREL=12.1
OSVERSION=1201000
PYTHONBASE=/usr/local
HAVE_COMPAT_IA32_KERN=YES
_SMP_CPUS=4
CONFIGURE_MAX_CMD_LEN=262144
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  19558
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License MPL11 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   freeswitch-1.10.2 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.14.4.txz
[freebsd2.rpn.local] Installing pkg-1.14.4...
[freebsd2.rpn.local] Extracting pkg-1.14.4: .......... done
===>   freeswitch-1.10.2 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of freeswitch-1.10.2
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MPL11 accepted by the user
===> Fetching all distfiles required by freeswitch-1.10.2 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License MPL11 accepted by the user
===> Fetching all distfiles required by freeswitch-1.10.2 for building
=> SHA256 Checksum OK for freeswitch-1.10.2.-release.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-music-16000-1.0.52.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-en-us-callie-16000-1.0.51.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-music-32000-1.0.52.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-en-us-callie-32000-1.0.51.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-music-48000-1.0.52.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-en-us-callie-48000-1.0.51.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-music-8000-1.0.52.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-en-us-callie-8000-1.0.51.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License MPL11 accepted by the user
===> Fetching all distfiles required by freeswitch-1.10.2 for building
===>  Extracting for freeswitch-1.10.2
=> SHA256 Checksum OK for freeswitch-1.10.2.-release.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-music-16000-1.0.52.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-en-us-callie-16000-1.0.51.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-music-32000-1.0.52.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-en-us-callie-32000-1.0.51.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-music-48000-1.0.52.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-en-us-callie-48000-1.0.51.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-music-8000-1.0.52.tar.gz.
=> SHA256 Checksum OK for freeswitch-sounds-en-us-callie-8000-1.0.51.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for freeswitch-1.10.2
===>  Applying extra patch /usr/ports/net/freeswitch/files/extrapatch-modules.conf
1 out of 1 hunks failed--saving rejects to modules.conf.rej
===>  FAILED Applying extra patch /usr/ports/net/freeswitch/files/extrapatch-modules.conf
===>  Applying FreeBSD patches for freeswitch-1.10.2
===> Cleanly applied FreeBSD patch(es)  patch-build_Makefile.in patch-src_switch__utils.c
==> SOME PATCHES FAILED TO APPLY CLEANLY.
==> Look for FAILED messages above.
*** Error code 1

Stop.
make: stopped in /usr/ports/net/freeswitch
=>> Cleaning up wrkdir
===>  Cleaning for freeswitch-1.10.2
build of net/freeswitch | freeswitch-1.10.2 ended at Sat May 16 09:02:25 UTC 2020
build time: 00:07:29
!!! build failure encountered !!!
Comment 1 Kurt Jaeger freebsd_committer 2020-05-21 11:11:00 UTC
Thanks for the report. I guess it's because the option ALL_MODULES is broken.

I'll investigate.
Comment 2 Kurt Jaeger freebsd_committer 2020-05-21 12:20:44 UTC
Ah, now I understand why the extrapatch failed. Testbuild@work
Comment 3 rnoll.bsd 2020-05-23 03:39:43 UTC
Created attachment 214770 [details]
Manually edited modules.conf file

Manually examined modules.conf vs modules.conf.reg/extrapatch-modules.conf and noticed on lines 82 and 83:

#databases/mod_mariadb
databases/mod_pgsql

Which, if I am translating the patch notation correctly do not exist. Should they exist in the extrapatch-modules.conf file?

Hopefully this helps...

v/r,
Ryan
Comment 4 Kurt Jaeger freebsd_committer 2020-05-23 19:18:56 UTC
Created attachment 214789 [details]
patch

This patch allows the port to build with ALL_MODULES selected.

It updates the files/extrapatch-modules.conf and adds some patches to allow
146 of the modules listed in modules.conf to build.

I'm testbuilding right now.
Comment 5 Kurt Jaeger freebsd_committer 2020-05-24 08:13:15 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2020-05-24 08:13:23 UTC
A commit references this bug:

Author: pi
Date: Sun May 24 08:13:07 UTC 2020
New revision: 536367
URL: https://svnweb.freebsd.org/changeset/ports/536367

Log:
  net/freeswitch: fix build with ALL_MODULES selected

  - files/extrapatch-modules.conf needed adjustments after the move to 1.10.x

  PR:		246515
  Reported by:	rnoll.bsd@gmail.com

Changes:
  head/net/freeswitch/Makefile
  head/net/freeswitch/files/extrapatch-modules.conf
  head/net/freeswitch/files/patch-build_Makefile.in
  head/net/freeswitch/files/patch-configure.ac
  head/net/freeswitch/files/patch-src_mod_codecs_mod__dahdi__codec_mod__dahdi__codec.c
  head/net/freeswitch/files/patch-src_switch__utils.c